import request from '@/utils/request'

// 计划类别管理 - 查询列表
export function listPlanCategoryAPI(query) {
    return request({
        url: '/planMajor/getPlanMajorList',
        method: 'GET',
        params: query,
    })
}

// 计划类别管理 - 新增
export function addPlanCategoryAPI(data) {
    return request({
        url: '/planMajor/addPlanMajor',
        method: 'POST',
        data,
    })
}

// 计划类别管理 - 修改
export function updatePlanCategoryAPI(data) {
    return request({
        url: '/planMajor/updatePlanMajor',
        method: 'POST',
        data,
    })
}

// 计划类别管理 - 删除
export function delPlanCategoryAPI(data) {
    return request({
        url: `/planMajor/delPlanMajor`,
        method: 'POST',
        data,
    })
}
